/* ExportingAccessibility.java

	Purpose:
		
	Description:
		
	History:
		6:13 PM 2022/9/19, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Accessibility options for the exporting menu.
 *
 * <p>
 * Requires the accessibility module
 * to be loaded. For example,
 * <pre><code>
 * Library.setProperty("org.zkoss.chart.modules.accessibility", "true");
 * </code></pre>
 *
 * @author jumperchen
 * @since 10.2.1.0
 */
public class ExportingAccessibility extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		enabled
	}

	/**
	 * Returns whether to enable accessibility support for the export menu.
	 */
	public Boolean isEnabled() {
		return getAttr(Attrs.enabled, null).asBoolean();
	}

	/**
	 * Sets whether to enable accessibility support for the export menu.
	 */
	public void setEnabled(boolean enabled) {
		setAttr(Attrs.enabled, enabled);
	}

}
