/* LangAxis.java

	Purpose:
		
	Description:
		
	History:
		10:35 AM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Axis description format strings for lang accessibility.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangAxis extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		rangeCategories,
		rangeFromTo,
		timeRangeDays,
		timeRangeHours,
		timeRangeMinutes,
		timeRangeSeconds,
		xAxisDescriptionPlural,
		xAxisDescriptionSingular,
		yAxisDescriptionPlural,
		yAxisDescriptionSingular
	}

	/**
	 * <p>Default: {@code "Data range: {numCategories} categories."}
	 */
	public String getRangeCategories() {
		return getAttr(Attrs.rangeCategories,
				"Data range: {numCategories} categories.").asString();
	}

	public void setRangeCategories(String rangeCategories) {
		setAttr(Attrs.rangeCategories, rangeCategories);
	}

	/**
	 * <p>Default: {@code "Data ranges from {rangeFrom} to {rangeTo}."}
	 */
	public String getRangeFromTo() {
		return getAttr(Attrs.rangeFromTo,
				"Data ranges from {rangeFrom} to {rangeTo}.").asString();
	}

	public void setRangeFromTo(String rangeFromTo) {
		setAttr(Attrs.rangeFromTo, rangeFromTo);
	}

	/**
	 * <p>Default: {@code "Data range: {range} days."}
	 */
	public String getTimeRangeDays() {
		return getAttr(Attrs.timeRangeDays,
				"Data range: {range} days.").asString();
	}

	public void setTimeRangeDays(String timeRangeDays) {
		setAttr(Attrs.timeRangeDays, timeRangeDays);
	}

	/**
	 * <p>Default: {@code "Data range: {range} hours."}
	 */
	public String getTimeRangeHours() {
		return getAttr(Attrs.timeRangeHours,
				"Data range: {range} hours.").asString();
	}

	public void setTimeRangeHours(String timeRangeHours) {
		setAttr(Attrs.timeRangeHours, timeRangeHours);
	}

	/**
	 * <p>Default: {@code "Data range: {range} minutes."}
	 */
	public String getTimeRangeMinutes() {
		return getAttr(Attrs.timeRangeMinutes,
				"Data range: {range} minutes.").asString();
	}

	public void setTimeRangeMinutes(String timeRangeMinutes) {
		setAttr(Attrs.timeRangeMinutes, timeRangeMinutes);
	}

	/**
	 * <p>Default: {@code "Data range: {range} seconds."}
	 */
	public String getTimeRangeSeconds() {
		return getAttr(Attrs.timeRangeSeconds,
				"Data range: {range} seconds.").asString();
	}

	public void setTimeRangeSeconds(String timeRangeSeconds) {
		setAttr(Attrs.timeRangeSeconds, timeRangeSeconds);
	}

	/**
	 * <p>Default: {@code "The chart has {numAxes} X axes displaying {#each(names, -1), }and {names[-1]}."}
	 */
	public String getXAxisDescriptionPlural() {
		return getAttr(Attrs.xAxisDescriptionPlural,
				"The chart has {numAxes} X axes displaying {#each(names, -1), }and {names[-1]}.").asString();
	}

	public void setXAxisDescriptionPlural(String xAxisDescriptionPlural) {
		setAttr(Attrs.xAxisDescriptionPlural, xAxisDescriptionPlural);
	}

	/**
	 * <p>Default: {@code "The chart has 1 X axis displaying {names[0]}. {ranges[0]}"}
	 */
	public String getXAxisDescriptionSingular() {
		return getAttr(Attrs.xAxisDescriptionSingular,
				"The chart has 1 X axis displaying {names[0]}. {ranges[0]}").asString();
	}

	public void setXAxisDescriptionSingular(String xAxisDescriptionSingular) {
		setAttr(Attrs.xAxisDescriptionSingular, xAxisDescriptionSingular);
	}

	/**
	 * <p>Default: {@code "The chart has {numAxes} Y axes displaying {#each(names, -1), }and {names[-1]}."}
	 */
	public String getYAxisDescriptionPlural() {
		return getAttr(Attrs.yAxisDescriptionPlural,
				"The chart has {numAxes} Y axes displaying {#each(names, -1), }and {names[-1]}.").asString();
	}

	public void setYAxisDescriptionPlural(String yAxisDescriptionPlural) {
		setAttr(Attrs.yAxisDescriptionPlural, yAxisDescriptionPlural);
	}

	/**
	 * <p>Default: {@code "The chart has 1 Y axis displaying {names[0]}. {ranges[0]}"}
	 */
	public String getYAxisDescriptionSingular() {
		return getAttr(Attrs.yAxisDescriptionSingular,
				"The chart has 1 Y axis displaying {names[0]}. {ranges[0]}").asString();
	}

	public void setYAxisDescriptionSingular(String yAxisDescriptionSingular) {
		setAttr(Attrs.yAxisDescriptionSingular, yAxisDescriptionSingular);
	}
}
