/* SeriesKeyboardNavigation.java

	Purpose:
		
	Description:
		
	History:
		6:06 PM 2022/9/19, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Options for keyboard navigation for the series.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class SeriesKeyboardNavigation extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		enabled
	}

	/**
	 * Returns whether to enable keyboard navigation for the legend or not.
	 * <p>Default: {@code true}
	 */
	public boolean isEnabled() {
		return getAttr(Attrs.enabled, true).asBoolean();
	}

	/**
	 * Sets whether to enable keyboard navigation for the legend or not.
	 * <p>Default: {@code true}
	 */
	public void setEnabled(boolean enabled) {
		setAttr(Attrs.enabled, enabled);
	}
}
